Omnigage API
An API for managing an Omnigage account.
This blueprint uses the following specifications:
-
API Blueprint - format 1A revision 9
-
JSON API - v1.0 stable
Collaborator Resources
Most resource instances by default are only accessible by the creator. To grant additional access to other memberships within an account, collaborators can be created for supported resources.
Permission conventions are as follows:
-
readcan retrieve resources the collaborator has access to. This includes relationships. The membership can only read their own collaborator instance. -
writeincludes read privileges. Can also edit the resource and relationships. -
admincan add, edit and archive collaborators for the given subject.
Memberships that are not an account admin can view their own collaborators instances by retrieving /{resource}/{id}/collaborators. This allows the membership to view their own credentials without knowing their collaborator ID. A membership can read their own collaborator instance. If a membership is associated to more than one collaborator (e.g., due to teams), the highest level of permission is granted.
E.164 Phone Numbers
Where specified, E.164 is the format used for telephone numbers. The format is as follows: +<CountryCode><City/AreaCode><LocalNumber>;ext=<ext>. The following extension formats are supported:
-
;ext=-+15197566220;ext=124 -
,-+15197566220,124 -
x-+15197566220x124 -
#-+15197566220#124
Revision Resources
A revised instance carries a primary and a revision relationship. Resources that are revised have special id handling. In the resource itself, the id returned is always the original primary id. It is consistent no matter what revision the resource is on. This allows for binding the resource and always using the latest revision. In the nested /revisions resource, the id returned is the revision id. To differentiate between a primary and revision id, see corresponding relationships on the instance. Note A revision id can be used to load an instance from the shallow resource (e.g. /email-templates/{revision_id}). If the primary id is used, the latest revision is returned (e.g. /email-templates/{primary_id}).
Bulk Requests
A variety of resources support bulk requests where noted. Set the Content-Type and Accept to application/vnd.api+json; ext=bulk and include an array of resource objects. Each resource object must contain at least an id and type. Below are the following rules:
-
Bulk requests must not exceed 500 resource objects.
-
A request must completely succeed or fail. Any bulk request must only succeed if all operations are performed successfully. If any individual operation fails, the state of the server will not be changed.
Deleting Multiple Resources
DELETE /contacts
Content-Type: application/vnd.api+json; ext=bulk
Accept: application/vnd.api+json; ext=bulk
{
"data": [
{ "type": "contacts", "id": "kPvvoxbt8gguembmcX9A4J" },
{ "type": "contacts", "id": "66BAsuo257r4acyBepDZXj" }
]
}
Resources Supporting Meta
Certain resources support key/value pairs. The following restrictions apply:
-
Only string values are accepted
-
Max number of key/value pairs is limited to
20 -
Each key is unique
-
Both keys and values are case sensitive
-
Maximum key length is 128 Unicode UTF-8 characters
-
Maximum value length is 256 Unicode UTF-8 characters
Error Codes
-
10101- Multi-factor authentication is required. -
13000- Invalid account-key specified. -
13001- You may not edit an archived resource. -
13022- Collaborator resource already exists for this membership. -
13101- You may not edit your own membership. -
13201- You may not edit a historical engagement. -
13202- This engagement may not be edited. -
13401- You may not edit someone else’s note. -
13501- One or more of the specified resources are invalid. -
14001- Collaborator resource already exists for this team. -
14002- Collaborator resource already exists for this user.
Authentication ¶
Resources for interfacing with OAuth2 Bearer Tokens.
Token ¶
Once created, use the token as a header: Authorization: Bearer Go0jY2hFDSGTTQARY0lQoqP9
Create TokenPOST/oauth2/tokens
Example URI
TokenHeaders
Content-Type: application/x-www-form-urlencodedBody
grant_type=password&username=alexander.bell@bell-labs.com&password=hlywrmJfD7vM8LpVg200Body
{
"access-token": "Go0jY2hFDSGTTQARY0lQoqP9",
"token_type": "Bearer",
"expires-in": 3600,
"refresh_token": "AMDkqyVkwaL9UV4kc1fDx9"
}RefreshHeaders
Authorization: Bearer Go0jY2hFDSGTTQARY0lQoqP9
Content-Type: application/x-www-form-urlencodedBody
grant_type=refresh_token&refresh_token=AMDkqyVkwaL9UV4kc1fDx9200Body
{
"access-token": "Tno7IsEGi5jmeqw64FtYk",
"token_type": "Bearer",
"expires-in": 3600,
"refresh_token": "CF6NIkGkJ8grcHyL4qfBAe2"
}User Resources ¶
Member ¶
This resource is a helper for gaining context of the currently authenticated user of the account.
It is encouraged to side-load from this resource both user and/or account.
Retrieve MemberGET/member
Retrieve an existing membership instance within the context of this account.
Example URI
200Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "memberships",
"attributes": {
"first-name": "Alexander",
"last-name": "Bell",
"email-address": "alexander.bell@bell-labs.com",
"default-masked-phone-number": null,
"is-accepted": true,
"is-account-admin": false,
"is-compliance-admin": false,
"is-compliance-notification-enabled": false,
"is-compliance-notification-text-enabled": false,
"is-compliance-notification-email-enabled": false,
"is-archived": false,
"member-status-updated-at": "2020-01-01T00:00:00+00:00",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"member-status": {
"data": {
"type": "member-statuses",
"id": "Zd4dJXrbk4cLDiLcuEL3Kd"
}
},
"user": {
"data": {
"type": "users",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
},
"picture": {
"data": {
"type": "pictures",
"id": "AuEo9RyrUsV4MXEiDZpLM"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "jR7uSB8JYWzfXfkp8CyVeV"
}
},
"email-id": {
"data": {
"type": "email-ids",
"id": "J6DHiRVAhZ5Ji5DARZam4Z"
}
},
"phone-number": {
"data": {
"type": "phone-numbers",
"id": "jbPAifRrHj2RZZCd79k9HA"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}Update MemberPATCH/member
Update current authenticated member instance.
Example URI
Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "memberships",
"attributes": {
"first-name": "Alexander",
"last-name": "Bell",
"email-address": "alexander.bell@bell-labs.com",
"default-masked-phone-number": null,
"is-accepted": true,
"is-account-admin": false,
"is-compliance-admin": false,
"is-compliance-notification-enabled": false,
"is-compliance-notification-text-enabled": false,
"is-compliance-notification-email-enabled": false,
"is-archived": false,
"member-status-updated-at": "2020-01-01T00:00:00+00:00",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"member-status": {
"data": {
"type": "member-statuses",
"id": "Zd4dJXrbk4cLDiLcuEL3Kd"
}
},
"user": {
"data": {
"type": "users",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
},
"picture": {
"data": {
"type": "pictures",
"id": "AuEo9RyrUsV4MXEiDZpLM"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "jR7uSB8JYWzfXfkp8CyVeV"
}
},
"email-id": {
"data": {
"type": "email-ids",
"id": "J6DHiRVAhZ5Ji5DARZam4Z"
}
},
"phone-number": {
"data": {
"type": "phone-numbers",
"id": "jbPAifRrHj2RZZCd79k9HA"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}202Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "memberships",
"attributes": {
"first-name": "Alexander",
"last-name": "Bell",
"email-address": "alexander.bell@bell-labs.com",
"default-masked-phone-number": null,
"is-accepted": true,
"is-account-admin": false,
"is-compliance-admin": false,
"is-compliance-notification-enabled": false,
"is-compliance-notification-text-enabled": false,
"is-compliance-notification-email-enabled": false,
"is-archived": false,
"member-status-updated-at": "2020-01-01T00:00:00+00:00",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"member-status": {
"data": {
"type": "member-statuses",
"id": "Zd4dJXrbk4cLDiLcuEL3Kd"
}
},
"user": {
"data": {
"type": "users",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
},
"picture": {
"data": {
"type": "pictures",
"id": "AuEo9RyrUsV4MXEiDZpLM"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "jR7uSB8JYWzfXfkp8CyVeV"
}
},
"email-id": {
"data": {
"type": "email-ids",
"id": "J6DHiRVAhZ5Ji5DARZam4Z"
}
},
"phone-number": {
"data": {
"type": "phone-numbers",
"id": "jbPAifRrHj2RZZCd79k9HA"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}User ¶
This resource manages retrieving a specified user instance.
Note: Only individual users belonging to this account can be retrieved. Instances are governed by the user’s defined privacy policy.
Retrieve UserGET/users/
Retrieve an existing user instance.
Example URI
200Body
{
"data": {
"type": "users",
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"attributes": {
"username": "alexander.bell",
"title": "Mr.",
"first-name": "Alexander",
"last-name": "Bell",
"company": "Bell Telephone Company",
"birthday": "1847-03-03",
"gender": "male",
"updated-at": "2020-01-01T00:00:00+00:00",
"created-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"timezone": {
"data": {
"type": "timezones",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"addresses": {
"links": {
"related": "/users/cu8Eo9RyrUsV4MXEiDZpLM/addresses"
},
"data": [
{
"type": "users-addresses",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
]
},
"emails": {
"links": {
"related": "/users/cu8Eo9RyrUsV4MXEiDZpLM/emails"
},
"data": [
{
"type": "users-emails",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
]
},
"phones": {
"links": {
"related": "/users/cu8Eo9RyrUsV4MXEiDZpLM/phones"
},
"data": [
{
"type": "users-phones",
"id": "wpsWLdLt9nscn2jbTD3uxe"
}
]
},
"primary-address": {
"data": {
"type": "users-addresses",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"primary-email": {
"data": {
"type": "users-emails",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
},
"primary-phone": {
"data": {
"type": "users-phones",
"id": "wpsWLdLt9nscn2jbTD3uxe"
}
},
"picture": {
"data": {
"type": "pictures",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"contact-preference": {
"data": {
"type": "contact-preferences",
"id": "mjfWDqxLtbXG9poUEYYTAf"
}
}
}
}
}User Address Collection ¶
This resource manages the retrieval of user address collections.
Retrieve User AddressesGET/users/addresses{?include,filter,sort,page}
Retrieve a collection of user addresses.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/users/cu8Eo9RyrUsV4MXEiDZpLM/addresses",
"next": "/users/cu8Eo9RyrUsV4MXEiDZpLM/addresses?page[offset]=10",
"last": "/users/cu8Eo9RyrUsV4MXEiDZpLM/addresses?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [
{
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "users-addresses",
"attributes": {
"label": "Address 1",
"address1": "94 Tutela Heights Road",
"address2": null,
"city": "Brantford",
"state": "Ontario",
"zip": "N3P 1A1",
"is-primary": true,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"user": {
"data": {
"type": "users",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"country": {
"data": {
"type": "countries",
"id": "US"
}
}
}
}
]
}User Address ¶
This resource retrieves a specified user address instance.
Retrieve User AddressGET/users/addresses/
Retrieve an existing user address instance.
Example URI
200Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "users-addresses",
"attributes": {
"label": "Address 1",
"address1": "94 Tutela Heights Road",
"address2": null,
"city": "Brantford",
"state": "Ontario",
"zip": "N3P 1A1",
"is-primary": true,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"user": {
"data": {
"type": "users",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"country": {
"data": {
"type": "countries",
"id": "US"
}
}
}
}
}User Phone Collection ¶
This resource manages the retrieval of user phone collections.
Retrieve User PhonesGET/users/phones{?include,filter,sort,page}
Retrieve a collection of user phones.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/users/cu8Eo9RyrUsV4MXEiDZpLM/phones",
"next": "/users/cu8Eo9RyrUsV4MXEiDZpLM/phones?page[offset]=10",
"last": "/users/cu8Eo9RyrUsV4MXEiDZpLM/phones?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [
{
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "users-phones",
"attributes": {
"label": "Phone 1",
"phone-number": "+15197566220",
"is-primary": true,
"is-confirmed": true,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"user": {
"data": {
"type": "users",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
}
}
}
]
}User Phone ¶
This resource retrieves a specified user phone instance.
Retrieve User PhoneGET/users/phones/
Retrieve an existing user phone instance.
Example URI
200Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "users-phones",
"attributes": {
"label": "Phone 1",
"phone-number": "+15197566220",
"is-primary": true,
"is-confirmed": true,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"user": {
"data": {
"type": "users",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
}
}
}
}User Email Collection ¶
This resource manages the retrieval of user email collections.
Retrieve User EmailsGET/users/emails{?include,filter,sort,page}
Retrieve a collection of user emails.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/users/cu8Eo9RyrUsV4MXEiDZpLM/emails",
"next": "/users/cu8Eo9RyrUsV4MXEiDZpLM/emails?page[offset]=10",
"last": "/users/cu8Eo9RyrUsV4MXEiDZpLM/emails?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [
{
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "users-emails",
"attributes": {
"label": "Email 1",
"email-address": "alexander.bell@bell-labs.com",
"is-confirmed": true,
"is-primary": true,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"user": {
"data": {
"type": "users",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
}
}
}
]
}User Email ¶
This resource retrieves a specified user email instance.
Retrieve User EmailGET/users/emails/
Retrieve an existing user email instance.
Example URI
200Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "users-emails",
"attributes": {
"label": "Email 1",
"email-address": "alexander.bell@bell-labs.com",
"is-confirmed": true,
"is-primary": true,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"user": {
"data": {
"type": "users",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
}
}
}
}Picture ¶
This resource retrieves an individual picture resource with related image files.
Note: Only individual pictures belonging to users of this account can be retrieved.
Retrieve PictureGET/pictures/
Retrieve an existing picture instance.
Example URI
200Body
{
"data": {
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"type": "pictures",
"attributes": {
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"user": {
"data": {
"type": "users",
"id": "vytxeTZskVKR7C7WgdSP3d"
}
},
"thumbnail": {
"data": {
"type": "files",
"id": "wpsWLdLt9nscn2jbTD3uxe"
}
},
"primary": {
"data": {
"type": "files",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
},
"original": {
"data": {
"type": "files",
"id": "RaF56o2r58hTKT7AYS9doj"
}
}
}
}
}Token Collection ¶
This resource manages the retrieval of token collections and the creation of token instances.
Note: An account admin can retrieve, update and delete any instances belonging to an account. A standard membership can only view and change their own instances.
Retrieve TokensGET/tokens{?include,filter,sort,page}
Retrieve a collection of tokens.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/tokens",
"next": "/tokens?page[offset]=10",
"last": "/tokens?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [
{
"id": "C8pd8zmNeCCydUAaXXaQZ4",
"type": "tokens",
"attributes": {
"label": "Call, text and email tracking",
"key": "ohLwXY34ea83ihrx3qZtdu",
"secret": null,
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"created-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"deleted-by": {
"data": null
}
}
}
]
}Create TokenPOST/tokens
Create a new token instance.
Example URI
Body
{
"data": {
"type": "tokens",
"attributes": {
"label": "Call, text and email tracking"
}
}
}201Body
{
"data": {
"id": "C8pd8zmNeCCydUAaXXaQZ4",
"type": "tokens",
"attributes": {
"label": "Call, text and email tracking",
"key": "ohLwXY34ea83ihrx3qZtdu",
"secret": "zIyoaTKpB5VzsKt1cl9pKC",
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"created-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"deleted-by": {
"data": null
}
}
}
}Token ¶
This resource manages updating, retrieving and deleting a specified token instance.
Authenticating using a token follows Basic Authentication as defined by RFC 2617. Note: https is required.
Example: cURL
curl -u key:secret https://api.omnigage.io/v1/calls
Example: Request Header
Authorization: Basic a2V5OnNlY3JldA==
Retrieve TokenGET/tokens/
Retrieve an existing token instance.
Example URI
200Body
{
"data": {
"id": "C8pd8zmNeCCydUAaXXaQZ4",
"type": "tokens",
"attributes": {
"label": "Call, text and email tracking",
"key": "ohLwXY34ea83ihrx3qZtdu",
"secret": null,
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"created-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"deleted-by": {
"data": null
}
}
}
}Update TokenPATCH/tokens/
Update an existing token instance.
Example URI
Body
{
"data": {
"id": "C8pd8zmNeCCydUAaXXaQZ4",
"type": "tokens",
"attributes": {
"label": "Call, text and email tracking",
"key": "ohLwXY34ea83ihrx3qZtdu",
"secret": null,
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"created-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"deleted-by": {
"data": null
}
}
}
}202Body
{
"data": {
"id": "C8pd8zmNeCCydUAaXXaQZ4",
"type": "tokens",
"attributes": {
"label": "Call, text and email tracking",
"key": "ohLwXY34ea83ihrx3qZtdu",
"secret": null,
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"created-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "yxLyyftrAUNWu4qhvefnrf"
}
},
"deleted-by": {
"data": null
}
}
}
}Delete TokenDELETE/tokens/
Sets the is-archived field’s value to true. The token will no longer be active.
Example URI
204Geographic Resources ¶
Country Collection ¶
This resource manages the retrieval of country collections.
Retrieve CountriesGET/countries{?include,filter,sort,page}
Retrieve a collection of countries.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/countries",
"next": "/countries?page[offset]=10",
"last": "/countries?page[offset]=100"
},
"meta": {
"total": 195
},
"data": [
{
"id": "US",
"type": "countries",
"attributes": {
"label": "United States"
}
}
]
}Country ¶
This resource retrieves a specified country instance.
Retrieve CountryGET/countries/
Retrieve an existing country instance.
Example URI
200Body
{
"data": {
"id": "US",
"type": "countries",
"attributes": {
"label": "United States"
}
}
}Time Zone Collection ¶
This resource manages the retrieval of time zone collections.
Retrieve Time ZonesGET/timezones{?include,filter,sort,page}
Retrieve a collection of timezones.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/timezones",
"next": "/timezones?page[offset]=10",
"last": "/timezones?page[offset]=100"
},
"meta": {
"total": 582
},
"data": [
{
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"type": "timezones",
"attributes": {
"name": "US/Eastern",
"offset": "UTC−05:00",
"is-featured": true
}
}
]
}Time Zone ¶
This resource retrieves a specified time zone instance.
Retrieve Time ZoneGET/timezones/
Retrieve an existing time zone instance.
Example URI
200Body
{
"data": {
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"type": "timezones",
"attributes": {
"name": "America/New_York",
"offset": "UTC−05:00",
"is-featured": true
}
}
}Media Resources ¶
Upload ¶
An upload is pre-signed form inputs to upload directly to AWS S3. The response is structured to facilitate creating a multipart/form-data form submission.
How uploads work:
-
Creating an upload returns pre-signed form inputs for uploading directly to AWS S3
-
Each upload is single use
-
Once the form submission to S3 is complete, the upload
idis to be used as a relationship with another resource. Consult corresponding API blueprint documentation for how the resource expects to receive the uploadid. -
Uploads do expire based on the date indicated in the response. Uploads not used are cleaned up; therefore, if the upload
idis not bound to a resource the media will be permanently deleted.
Create an UploadPOST/uploads
To create pre-signed upload credentials, simply POST (request body not required). Then use the form action, method and inputs in the response to construct a multipart/form-data submission with the included media. NOTE: The Content-Type input is required in addition to the inputs provided herein.
Example URI
201Headers
Content-Type: application/jsonBody
{
"data": {
"type": "uploads",
"id": "wpsWLdLt9nscn2jbTD3uxe",
"attributes": {
"expires-at": "Thu, 15 Oct 2020 05:21:18 GMT",
"max-length-in-bytes": 5368724480,
"request-url": "//project-environment-media.s3.amazonaws.com/",
"request-method": "post",
"request-headers": [
{
"x-amz-server-side-encryption": "AES256"
}
],
"request-form-data": [
{
"acl": "private"
},
{
"AWSAccessKeyId": "AKIAJMNZNYJMKJTOJYUA"
},
{
"key": "uploads/15f057a487674e2e9557336d7a4e9592/${filename}"
},
{
"policy": "eyJjb25kaXRpb25zIjogW3siYWN..."
},
{
"signature": "WZkSKje4piwdmTd2xGs3VHFq5GQ="
}
]
}
}
}File ¶
This resource manages retrieving a specified file instance.
Note: Only individual files belonging to this account can be retrieved.
Retrieve FileGET/files/
Retrieve an existing file instance.
Example URI
Body
{
"data": {
"id": "vytxeTZskVKR7C7WgdSP3d",
"type": "files",
"attributes": {
"url": "//aws.amazon.com/bucket/2982$gg.png",
"size-in-bytes": 5368724480,
"content-type": "image/png"
"width": 150,
"height": 120,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
}
}
}200Body
{
"data": {
"id": "vytxeTZskVKR7C7WgdSP3d",
"type": "files",
"attributes": {
"url": "//aws.amazon.com/bucket/2982$gg.png",
"size-in-bytes": 5368724480,
"content-type": "image/png"
"width": 150,
"height": 120,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
}
}
}Delete FileDELETE/files/
Sets the is-archived field’s value to true. Note: The actual instance is not deleted. When the file is archived, versioned resources, with that file as a relationship, are revised to no longer carry the archived file relationship.
Example URI
204Engagement Resources ¶
Engagement Collection ¶
This resource manages the retrieval of engagement collections and the creation of engagement instances.
Retrieve EngagementsGET/engagements{?include,filter,sort,page}
Retrieve a collection of engagements.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/engagements",
"next": "/engagements?page[offset]=10",
"last": "/engagements?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [
{
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"type": "engagements",
"attributes": {
"name": "Flash Sale - Top Buyers",
"status": "pending",
"direction": "outbound",
"count-total": 1270,
"count-complete": 300,
"count-incomplete": 240,
"count-hold": 7,
"delivery-type": "scheduled",
"delivery-time": "2020-09-09T16:30+00:00",
"delivery-compliance-is-approved": false,
"queue-kind": "batch",
"queue-batch-limit": 100,
"queue-progressive-ratio": "1:4",
"queue-throttle-hold-limit": 10,
"queue-throttle-day-limit": 1000,
"queue-throttle-hour-limit": 100,
"queue-schedule-is-enabled": false,
"queue-schedule": {},
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"lists": {
"data": [
{
"type": "lists",
"id": "QYQdq5qYLLQsT42MKFg6fQ"
},
{
"type": "lists",
"id": "v9kNKBNojpUsrtgtJ7LE3V"
}
]
},
"activity": {
"data": {
"type": "activities",
"id": "wpsWLdLt9nscn2jbTD3uxe"
}
},
"latest-review": {
"data": {
"type": "reviews",
"id": "y9hdSMS6zc8sh5Vnrvf53T"
}
},
"reviews": {
"links": {
"related": "/engagements/cu8Eo9RyrUsV4MXEiDZpLM/reviews"
}
},
"phone-numbers": {
"data": [
{
"type": "phone-numbers",
"id": "yJQBZzodQKxtKZV7sMYJuZ"
}
]
},
"caller-ids": {
"data": [
{
"type": "caller-ids",
"id": "QHns3Q2rxwUEuu2spJJYEA"
}
]
},
"email-ids": {
"data": [
{
"type": "email-ids",
"id": "qAfqpKPE9yjE252xqtL76U"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
]
}Create EngagementPOST/engagements
Create a new engagement instance.
Example URI
Body
{
"data": {
"type": "engagements",
"attributes": {
"name": "Flash Sale - Top Buyers"
},
"relationships": {
"lists": {
"data": [
{
"type": "lists",
"id": "QYQdq5qYLLQsT42MKFg6fQ"
},
{
"type": "lists",
"id": "v9kNKBNojpUsrtgtJ7LE3V"
}
]
}
}
}
}201Body
{
"data": {
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"type": "engagements",
"attributes": {
"name": "Flash Sale - Top Buyers",
"status": "pending",
"direction": "outbound",
"count-total": 1270,
"count-complete": 300,
"count-incomplete": 240,
"count-hold": 7,
"delivery-type": "immediately",
"delivery-time": null,
"delivery-compliance-is-approved": true,
"queue-kind": "batch",
"queue-batch-limit": 100,
"queue-progressive-ratio": "1:4",
"queue-throttle-hold-limit": 10,
"queue-throttle-day-limit": 1000,
"queue-throttle-hour-limit": 100,
"queue-schedule-is-enabled": true,
"queue-schedule": {
"monday": [
{
"from": "05:00",
"to": "17:00"
}
],
"friday": [
{
"from": "08:00",
"to": "14:59"
}
]
},
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"lists": {
"data": [
{
"type": "lists",
"id": "QYQdq5qYLLQsT42MKFg6fQ"
},
{
"type": "lists",
"id": "v9kNKBNojpUsrtgtJ7LE3V"
}
]
},
"activity": {
"data": {
"type": "activities",
"id": "wpsWLdLt9nscn2jbTD3uxe"
}
},
"latest-review": {
"data": {
"type": "reviews",
"id": "y9hdSMS6zc8sh5Vnrvf53T"
}
},
"reviews": {
"links": {
"related": "/engagements/cu8Eo9RyrUsV4MXEiDZpLM/reviews"
}
},
"phone-numbers": {
"data": [
{
"type": "phone-numbers",
"id": "yJQBZzodQKxtKZV7sMYJuZ"
}
]
},
"caller-ids": {
"data": [
{
"type": "caller-ids",
"id": "QHns3Q2rxwUEuu2spJJYEA"
}
]
},
"email-ids": {
"data": [
{
"type": "email-ids",
"id": "qAfqpKPE9yjE252xqtL76U"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}Engagement ¶
This resource manages updating, retrieving and deleting a specified engagement instance.
-
An engagement and related activities can only be modified when the engagement has the status of
pendingorreview-declined. -
A status of
closedorcanceledcannot be changed. The engagement is single use.
Note: When an engagement status becomes processing, the content revision ids are set accordingly:
- If the engagement is coupled with a review, the revision ids are derived from the approved revision.
- If the engagement is not associated to a review, the latest revision ids are used.
Retrieve EngagementGET/engagements/
Retrieve an existing engagement instance.
Example URI
200Body
{
"data": {
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"type": "engagements",
"attributes": {
"name": "Flash Sale - Top Buyers",
"status": "pending",
"direction": "outbound",
"count-total": 1270,
"count-complete": 300,
"count-incomplete": 240,
"count-hold": 7,
"delivery-type": "immediately",
"delivery-time": null,
"delivery-compliance-is-approved": true,
"queue-kind": "batch",
"queue-batch-limit": 100,
"queue-progressive-ratio": "1:4",
"queue-throttle-hold-limit": 10,
"queue-throttle-day-limit": 1000,
"queue-throttle-hour-limit": 100,
"queue-schedule-is-enabled": true,
"queue-schedule": {
"monday": [
{
"from": "05:00",
"to": "17:00"
}
],
"friday": [
{
"from": "08:00",
"to": "14:59"
}
]
},
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"lists": {
"data": [
{
"type": "lists",
"id": "QYQdq5qYLLQsT42MKFg6fQ"
},
{
"type": "lists",
"id": "v9kNKBNojpUsrtgtJ7LE3V"
}
]
},
"activity": {
"data": {
"type": "activities",
"id": "wpsWLdLt9nscn2jbTD3uxe"
}
},
"latest-review": {
"data": {
"type": "reviews",
"id": "y9hdSMS6zc8sh5Vnrvf53T"
}
},
"reviews": {
"links": {
"related": "/engagements/cu8Eo9RyrUsV4MXEiDZpLM/reviews"
}
},
"phone-numbers": {
"data": [
{
"type": "phone-numbers",
"id": "yJQBZzodQKxtKZV7sMYJuZ"
}
]
},
"caller-ids": {
"data": [
{
"type": "caller-ids",
"id": "QHns3Q2rxwUEuu2spJJYEA"
}
]
},
"email-ids": {
"data": [
{
"type": "email-ids",
"id": "qAfqpKPE9yjE252xqtL76U"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}Update EngagementPATCH/engagements/
Update an existing engagement instance.
Example URI
Body
{
"data": {
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"type": "engagements",
"attributes": {
"name": "Flash Sale - Top Buyers",
"status": "pending",
"direction": "outbound",
"count-total": 1270,
"count-complete": 300,
"count-incomplete": 240,
"count-hold": 7,
"delivery-type": "immediately",
"delivery-time": null,
"delivery-compliance-is-approved": true,
"queue-kind": "batch",
"queue-batch-limit": 100,
"queue-progressive-ratio": "1:4",
"queue-throttle-hold-limit": 10,
"queue-throttle-day-limit": 1000,
"queue-throttle-hour-limit": 100,
"queue-schedule-is-enabled": true,
"queue-schedule": {
"monday": [
{
"from": "05:00",
"to": "17:00"
}
],
"friday": [
{
"from": "08:00",
"to": "14:59"
}
]
},
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"lists": {
"data": [
{
"type": "lists",
"id": "QYQdq5qYLLQsT42MKFg6fQ"
},
{
"type": "lists",
"id": "v9kNKBNojpUsrtgtJ7LE3V"
}
]
},
"activity": {
"data": {
"type": "activities",
"id": "wpsWLdLt9nscn2jbTD3uxe"
}
},
"latest-review": {
"data": {
"type": "reviews",
"id": "y9hdSMS6zc8sh5Vnrvf53T"
}
},
"reviews": {
"links": {
"related": "/engagements/cu8Eo9RyrUsV4MXEiDZpLM/reviews"
}
},
"phone-numbers": {
"data": [
{
"type": "phone-numbers",
"id": "yJQBZzodQKxtKZV7sMYJuZ"
}
]
},
"caller-ids": {
"data": [
{
"type": "caller-ids",
"id": "QHns3Q2rxwUEuu2spJJYEA"
}
]
},
"email-ids": {
"data": [
{
"type": "email-ids",
"id": "qAfqpKPE9yjE252xqtL76U"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}202Body
{
"data": {
"id": "cu8Eo9RyrUsV4MXEiDZpLM",
"type": "engagements",
"attributes": {
"name": "Flash Sale - Top Buyers",
"status": "pending",
"direction": "outbound",
"count-total": 1270,
"count-complete": 300,
"count-incomplete": 240,
"count-hold": 7,
"delivery-type": "immediately",
"delivery-time": null,
"delivery-compliance-is-approved": true,
"queue-kind": "batch",
"queue-batch-limit": 100,
"queue-progressive-ratio": "1:4",
"queue-throttle-hold-limit": 10,
"queue-throttle-day-limit": 1000,
"queue-throttle-hour-limit": 100,
"queue-schedule-is-enabled": true,
"queue-schedule": {
"monday": [
{
"from": "05:00",
"to": "17:00"
}
],
"friday": [
{
"from": "08:00",
"to": "14:59"
}
]
},
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"lists": {
"data": [
{
"type": "lists",
"id": "QYQdq5qYLLQsT42MKFg6fQ"
},
{
"type": "lists",
"id": "v9kNKBNojpUsrtgtJ7LE3V"
}
]
},
"activity": {
"data": {
"type": "activities",
"id": "wpsWLdLt9nscn2jbTD3uxe"
}
},
"latest-review": {
"data": {
"type": "reviews",
"id": "y9hdSMS6zc8sh5Vnrvf53T"
}
},
"reviews": {
"links": {
"related": "/engagements/cu8Eo9RyrUsV4MXEiDZpLM/reviews"
}
},
"phone-numbers": {
"data": [
{
"type": "phone-numbers",
"id": "yJQBZzodQKxtKZV7sMYJuZ"
}
]
},
"caller-ids": {
"data": [
{
"type": "caller-ids",
"id": "QHns3Q2rxwUEuu2spJJYEA"
}
]
},
"email-ids": {
"data": [
{
"type": "email-ids",
"id": "qAfqpKPE9yjE252xqtL76U"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}Delete EngagementDELETE/engagements/
This implicitly archives the instance by setting is-archived to true. The actual instance is not deleted.
Example URI
204Engagement Collaborator Collection ¶
This resource manages the retrieval of collaborator collections and the creation of collaborator instances.
Retrieve Engagement CollaboratorsGET/engagements/collaborators{?include,sort,filter,page}
Retrieve a collection of collaborators.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/engagements/qYjByDBTXZKZam9TLJonvf/collaborators",
"next": "/engagements/qYjByDBTXZKZam9TLJonvf/collaborators?page[offset]=10",
"last": "/engagements/qYjByDBTXZKZam9TLJonvf/collaborators?page[offset]=100"
},
"meta": {
"total": 1
},
"data": [
{
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "engagements-collaborators",
"attributes": {
"permission": "write",
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"membership": {
"data": {
"type": "memberships",
"id": "6jVhCt5kE2p6e7B7SX9CGe"
}
},
"team": {
"data": null
},
"engagement": {
"data": {
"type": "engagements",
"id": "qYjByDBTXZKZam9TLJonvf"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
]
}Create Engagement CollaboratorPOST/engagements/collaborators
Create a new collaborator instance.
Example URI
Body
{
"data": {
"type": "engagements-collaborators",
"attributes": {
"permission": "write"
},
"relationships": {
"membership": {
"data": {
"type": "memberships",
"id": "6jVhCt5kE2p6e7B7SX9CGe"
}
},
"engagement": {
"data": {
"type": "engagements",
"id": "qYjByDBTXZKZam9TLJonvf"
}
}
}
}
}201Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "engagements-collaborators",
"attributes": {
"permission": "write",
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"membership": {
"data": {
"type": "memberships",
"id": "6jVhCt5kE2p6e7B7SX9CGe"
}
},
"team": {
"data": null
},
"engagement": {
"data": {
"type": "engagements",
"id": "qYjByDBTXZKZam9TLJonvf"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}Engagement Collaborator ¶
This resource manages updating and retrieving a specified collaborator instance.
Retrieve Engagement CollaboratorGET/engagements/collaborators/
Retrieve an existing collaborator instance.
Example URI
200Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "engagements-collaborators",
"attributes": {
"permission": "write",
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"membership": {
"data": {
"type": "memberships",
"id": "6jVhCt5kE2p6e7B7SX9CGe"
}
},
"team": {
"data": null
},
"engagement": {
"data": {
"type": "engagements",
"id": "qYjByDBTXZKZam9TLJonvf"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}Update Engagement CollaboratorPATCH/engagements/collaborators/
Update an existing collaborator instance.
Note: A membership cannot edit their own instance.
Example URI
Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "engagements-collaborators",
"attributes": {
"permission": "write",
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"membership": {
"data": {
"type": "memberships",
"id": "6jVhCt5kE2p6e7B7SX9CGe"
}
},
"team": {
"data": null
},
"engagement": {
"data": {
"type": "engagements",
"id": "qYjByDBTXZKZam9TLJonvf"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}202Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "engagements-collaborators",
"attributes": {
"permission": "write",
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
"deleted-at": null
},
"relationships": {
"membership": {
"data": {
"type": "memberships",
"id": "6jVhCt5kE2p6e7B7SX9CGe"
}
},
"team": {
"data": null
},
"engagement": {
"data": {
"type": "engagements",
"id": "qYjByDBTXZKZam9TLJonvf"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"deleted-by": {
"data": null
}
}
}
}Delete Engagement CollaboratorDELETE/engagements/collaborators/
Sets the is-archived field’s value to true. Note: The actual instance is not deleted.
Note: A membership cannot delete their own instance.
Example URI
204Engagement Review Collection ¶
This resource manages the retrieval of a given engagement’s reviews.
Retrieve Engagement ReviewsGET/engagements/reviews{?include,filter,sort,page}
Retrieve a collection of engagement reviews.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/reviews",
"next": "/reviews?page[offset]=10",
"last": "/reviews?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [{
"id": "c8sh5y9hdSMS6zVnrvf53T",
"type": "reviews",
"attributes": {
"name": "Fall Specials",
"status": "pending",
"compliance-kind": "pre",
"kind": "engagement",
"content-count": 4,
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"comments": {
"links": {
"related": "/reviews/c8sh5y9hdSMS6zVnrvf53T/comments"
}
},
"engagement": {
"data": {"type": "engagements", "id": "Vnrvf53Tc8shdSMS6zh5y9"}
},
"email-templates": {
"data": [
{"type": "email-templates", "id": "ZskVKR7C7WgdvytxeTSP3d"},
{"type": "email-templates", "id": "Vnrvf53Tc8shdSMS6zh5y9"}
]
}
"voice-templates": {
"data": [
{"type": "voice-templates", "id": "r58hTKT7AYS9dojRaF56o2"}
]
}
"text-templates": {
"data": [
{"type": "text-templates", "id": "KR7C7WgdvytxeTSP3dZskV"}
]
},
"page": {
"data": null
},
"post": {
"data": null
},
"created-by": {
"data": {"type": "memberships", "id": "C7xWERND6yBTpJJVHACzVf"}
},
"updated-by": {
"data": {"type": "memberships", "id": "C7xWERND6yBTpJJVHACzVf"}
}
}
}]
}Engagement Review ¶
This resource manages retrieving a specified engagement review instance.
Retrieve Engagement ReviewGET/engagements/reviews/
Retrieve an existing engagement review instance.
Example URI
200Body
{
"data": {
"id": "c8sh5y9hdSMS6zVnrvf53T",
"type": "reviews",
"attributes": {
"name": "Fall Specials",
"status": "pending",
"compliance-kind": "pre",
"kind": "engagement",
"content-count": 4,
"is-archived": false,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"comments": {
"links": {
"related": "/reviews/c8sh5y9hdSMS6zVnrvf53T/comments"
}
},
"engagement": {
"data": {"type": "engagements", "id": "Vnrvf53Tc8shdSMS6zh5y9"}
},
"email-templates": {
"data": [
{"type": "email-templates", "id": "ZskVKR7C7WgdvytxeTSP3d"},
{"type": "email-templates", "id": "Vnrvf53Tc8shdSMS6zh5y9"}
]
}
"voice-templates": {
"data": [
{"type": "voice-templates", "id": "r58hTKT7AYS9dojRaF56o2"}
]
}
"text-templates": {
"data": [
{"type": "text-templates", "id": "KR7C7WgdvytxeTSP3dZskV"}
]
},
"page": {
"data": null
},
"post": {
"data": null
},
"created-by": {
"data": {"type": "memberships", "id": "C7xWERND6yBTpJJVHACzVf"}
},
"updated-by": {
"data": {"type": "memberships", "id": "C7xWERND6yBTpJJVHACzVf"}
}
}
}
}Activity Collection ¶
This resource manages the retrieval of activity collections and the creation of activity instances.
Retrieve ActivitiesGET/activities{?include,filter,sort,page}
Retrieve a collection of activities.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/activities",
"next": "/activities?page[offset]=10",
"last": "/activities?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [
{
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "activities",
"attributes": {
"name": "Voice Blast",
"kind": "voice",
"retry-attempts": 0,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"triggers": {
"links": {
"related": "/triggers?filter[activity.id]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "Lv8UgucPVGWcwZd9Hre9dn"
}
},
"phone-number": {
"data": null
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
]
}Create ActivityPOST/activities
Create a new activity instance.
Example URI
VoiceSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "activities",
"attributes": {
"name": "Voice Blast",
"kind": "voice",
"retry-attempts": 0,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"triggers": {
"links": {
"related": "/triggers?filter[activity.id]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "Lv8UgucPVGWcwZd9Hre9dn"
}
},
"phone-number": {
"data": null
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}DialSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "activities",
"attributes": {
"name": "Click-to-Dial",
"kind": "dial",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"triggers": {
"links": {
"related": "/triggers?filter[activity.id]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"voice-templates": {
"data": [
{
"type": "voice-templates",
"id": "GXWXjzKtTA6bEEwmsQQ6bL"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}EmailSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "activities",
"attributes": {
"name": "Email Blast",
"kind": "email",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"email-template": {
"data": {
"type": "email-templates",
"id": "iDZpLM8Eo9RyrUsV4MXE"
}
},
"engagement": {
"data": {
"type": "engagements",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"triggers": {
"links": {
"related": "/triggers?filter[activity.id]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"email-id": {
"data": {
"type": "email-ids",
"id": "iwXgSh6KPiF7QPd9mAorSp"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}TextSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "activities",
"attributes": {
"name": "Text Blast",
"kind": "text",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"text-template": {
"data": {
"type": "text-templates",
"id": "iDZpLM8Eo9RyrUsV4MXE"
}
},
"engagement": {
"data": {
"type": "engagements",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"triggers": {
"links": {
"related": "/triggers?filter[activity.id]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"phone-number": {
"data": {
"type": "phone-numbers",
"id": "vhUWSZVAxVCCroZaXeHY9c"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Activity ¶
This resource manages updating, retrieving and deleting a specified activity instance.
Retrieve ActivityGET/activities/
Retrieve an existing activity instance.
Example URI
200Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "activities",
"attributes": {
"name": "Voice Blast",
"kind": "voice",
"retry-attempts": 0,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"transition": {
"data": {
"type": "triggers",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
},
"triggers": {
"links": {
"related": "/triggers?filter[activity.id]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": [
{
"type": "triggers",
"id": "RaF56o2r58hTKT7AYS9doj"
},
{
"type": "triggers",
"id": "vytxeTZskVKR7C7WgdSP3d"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Update ActivityPATCH/activities/
Update an existing activity instance.
Example URI
Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "activities",
"attributes": {
"name": "Voice Blast",
"kind": "voice",
"retry-attempts": 0,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"transition": {
"data": {
"type": "triggers",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
},
"triggers": {
"links": {
"related": "/triggers?filter[activity.id]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": [
{
"type": "triggers",
"id": "RaF56o2r58hTKT7AYS9doj"
},
{
"type": "triggers",
"id": "vytxeTZskVKR7C7WgdSP3d"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}202Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "activities",
"attributes": {
"name": "Voice Blast",
"kind": "voice",
"retry-attempts": 0,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"transition": {
"data": {
"type": "triggers",
"id": "c8sh5y9hdSMS6zVnrvf53T"
}
},
"triggers": {
"links": {
"related": "/triggers?filter[activity.id]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": [
{
"type": "triggers",
"id": "RaF56o2r58hTKT7AYS9doj"
},
{
"type": "triggers",
"id": "vytxeTZskVKR7C7WgdSP3d"
}
]
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Delete ActivityDELETE/activities/
Delete an existing activity instance.
Note: Cannot delete an activity that belongs to an inactive engagement.
Example URI
204Trigger Collection ¶
This resource manages the retrieval of trigger collections and the creation of trigger instances.
Rules for how triggers are processed:
-
A sequence of triggers are processed in the order they are defined.
-
Triggers that branch begin a new sequence and the previous sequence ends.
-
Sequences do not go backwards. If there are no further triggers to process, the sequence ends.
-
Triggers that terminate and branch will end if no child triggers are defined.
| Name | Terminates | Branches |
|---|---|---|
| play | no | no |
| say | no | no |
| gather | yes | yes |
| prompt | no | yes |
| conference | yes | no |
| enqueue | yes | yes |
| notify | yes | yes |
| activity | no | no |
| hangup | yes | no |
| record | yes | no |
| pause | no | no |
| dial | no | no |
The trigger kinds available on events:
| On Event | Trigger |
|---|---|
| voice-queued | activity |
| voice-ringing | activity |
| voice-answered* | play, say, gather, prompt, conference, enqueue, notify, dial, pause, record, activity, hangup |
| voice-human* | play, say, gather, prompt, conference, enqueue, notify, dial, pause, record, activity, hangup |
| voice-machine* | play, say, activity |
| voice-hangup | activity |
| voice-unanswered | activity |
| voice-busy | activity |
| voice-failed | activity |
| voice-canceled | activity |
| voice-completed | activity |
| email-queued | activity |
| email-sent | activity |
| email-delivered | activity |
| email-open | activity |
| email-click | activity |
| email-unsubscribe | activity |
| email-bounce | activity |
| email-compliant | activity |
| email-failed | activity |
| text-queued | activity |
| text-sent | activity |
| text-delivered | activity |
| text-undelivered | activity |
| text-failed | activity |
- Note: On event
voice-answeredonly supports theactivitytrigger for engagements with an outbound direction. On eventsvoice-machineandvoice-humanonly applicable for outbound engagements.
Retrieve TriggersGET/triggers{?include,filter,sort,page}
Retrieve a collection of triggers.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/triggers",
"next": "/triggers?page[offset]=10",
"last": "/triggers?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [
{
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "play",
"on-event": "voice-answered",
"loop": 1,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"voice-template": {
"data": {
"type": "voice-templates",
"id": "RyrUsV4MXEicu8Eo9DZpLM"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
]
}Create TriggerPOST/triggers
Create a new trigger instance.
Example URI
Play TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "play",
"on-event": "voice-answered",
"loop": 1,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"voice-template": {
"data": {
"type": "voice-templates",
"id": "RyrUsV4MXEicu8Eo9DZpLM"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Say TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "say",
"on-event": "voice-answered",
"loop": 1,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"voice-template": {
"data": {
"type": "voice-templates",
"id": "RyrUsV4MXEicu8Eo9DZpLM"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Gather TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "gather",
"on-event": "voice-answered",
"input": [
"dtmf"
],
"timeout": 5,
"dtmf-digit-count": 1,
"dtmf-digit-stop": "#",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Prompt TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "prompt",
"on-event": "voice-answered",
"digits": "1",
"speech": "yes",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Conference TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "conference",
"on-event": "voice-answered",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"conference": {
"data": {
"type": "conferences",
"id": "ofmQYL5c7GmxcnmpeXybaF"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Enqueue TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "enqueue",
"on-event": "voice-answered",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Notify TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "notify",
"on-event": "voice-answered",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Dial TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "dial",
"on-event": "voice-answered",
"phone-number": "+15197566220",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Pause TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "pause",
"on-event": "voice-answered",
"length": 5,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Record TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "record",
"on-event": "voice-answered",
"length": 600,
"timeout": 5,
"trim": true,
"transcribe": false,
"beep": true,
"digit-stop": "#",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Activity TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "activity",
"on-event": "voice-answered",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
"delay-in-seconds": 3600,
},
"relationships": {
"activity": {
"data": {"type": "activities", "id": "cu8Eo9RyrUsV4MXEiDZpLM"}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"transition": {
"data": null
},
"created-by": {
"data": {"type": "memberships", "id": "C7xWERND6yBTpJJVHACzVf"}
},
"updated-by": {
"data": {"type": "memberships", "id": "C7xWERND6yBTpJJVHACzVf"}
}
}
}
}Hangup TriggerSchema
{
"$schema": "http://json-schema.org/draft-04/schema#"
}201Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "hangup",
"on-event": "voice-answered",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Trigger ¶
This resource manages updating, retrieving and deleting a specified trigger instance.
Retrieve TriggerGET/triggers/
Retrieve an existing trigger instance.
Example URI
200Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "play",
"on-event": "voice-answered",
"loop": 1,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"voice-template": {
"data": {
"type": "voice-templates",
"id": "RyrUsV4MXEicu8Eo9DZpLM"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Update TriggerPATCH/triggers/
Update an existing trigger instance.
Example URI
Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "play",
"on-event": "voice-answered",
"loop": 1,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"voice-template": {
"data": {
"type": "voice-templates",
"id": "RyrUsV4MXEicu8Eo9DZpLM"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}202Body
{
"data": {
"id": "wpsWLdLt9nscn2jbTD3uxe",
"type": "triggers",
"attributes": {
"kind": "play",
"on-event": "voice-answered",
"loop": 1,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"activity": {
"data": {
"type": "activities",
"id": "cu8Eo9RyrUsV4MXEiDZpLM"
}
},
"parent": {
"data": null
},
"children": {
"links": {
"related": "/triggers?filter[parent]=wpsWLdLt9nscn2jbTD3uxe"
},
"data": []
},
"voice-template": {
"data": {
"type": "voice-templates",
"id": "RyrUsV4MXEicu8Eo9DZpLM"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Delete TriggerDELETE/triggers/
Delete an existing trigger instance.
Note: Cannot delete an trigger that belongs to an inactive engagement.
Example URI
204Envelope Collection ¶
This resource manages the collection retrieval and creation of envelope instances.
Note: By default, instances are limited based on collaborator access to a given engagement. Additionally, instances can be limited based on collaborator access to a given contact. Envelopes base visibility is determined by either the engagement or the contact with any additional filters then being applied.
Retrieve EnvelopesGET/envelopes{?include,filter,sort,page}
Retrieve a collection of envelopes.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/envelopes",
"next": "/envelopes?page[offset]=10",
"last": "/envelopes?page[offset]=100"
},
"meta": {
"total": 110
},
"data": [{
"id": "c8sh5y9hdSMS6zVnrvf53T",
"type": "envelopes",
"attributes": {
"status": "complete",
"kind": "voice",
"direction": "outbound",
"phone-number": "+15197566220",
"email-address": null,
"retry-attempts": null,
"callback": null,
"meta": {},
"delay-in-seconds": 0,
"scheduled-at": null,
"processed-at": null,
"completed-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00",
},
"relationships": {
"engagement": {
"data": {"type": "engagements", "id": "yrbCdxqV2ZMdQBCszhA7TZ"}
},
"activity": {
"data": {"type": "activities", "id": "NqYmqDA26JmTJz6SnCWt3v"}
},
"contact": {
"data": {"type": "contacts", "id": "z8eDV4PCWqGAn7H3BF6jkV"}
},
"identity": {
"data": {"type": "users", "id": "9gmvjZgfkTPwiMfps3e4Tg"}
},
"call": {
"data": {"type": "calls", "id": "fAuHnD4CMpJvmhkzrjw8mr"}
},
"email": {
"data": null
},
"text": {
"data": null
},
"created-by": {
"data": {"type": "memberships", "id": "C7xWERND6yBTpJJVHACzVf"}
},
"updated-by": {
"data": {"type": "memberships", "id": "C7xWERND6yBTpJJVHACzVf"}
}
}
}]
}Create EnvelopePOST/envelopes
Create a new envelope instance.
Example URI
Envelope with ContactBody
{
"data": {
"type": "envelopes",
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "z8eDV4PCWqGAn7H3BF6jkV"
}
}
}
}
}201Body
{
"data": {
"id": "c8sh5y9hdSMS6zVnrvf53T",
"type": "envelopes",
"attributes": {
"status": "pending",
"kind": "dial",
"direction": "outbound",
"phone-number": null,
"email-address": null,
"retry-attempts": null,
"meta": {},
"delay-in-seconds": 0,
"scheduled-at": null,
"processed-at": null,
"completed-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
},
"activity": {
"data": {
"type": "activities",
"id": "NqYmqDA26JmTJz6SnCWt3v"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "z8eDV4PCWqGAn7H3BF6jkV"
}
},
"identity": {
"data": {
"type": "users",
"id": "9gmvjZgfkTPwiMfps3e4Tg"
}
},
"call": {
"data": {
"type": "calls",
"id": "fAuHnD4CMpJvmhkzrjw8mr"
}
},
"email": {
"data": null
},
"text": {
"data": null
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Envelope with MetaBody
{
"data": {
"type": "envelopes",
"attributes": {
"phone-number": "+15197566220",
"email-address": "alexander.bell@bell-labs.com",
"meta": {
"first-name": "Alexander",
"last-name": "Bell"
}
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
}
}
}
}201Body
{
"data": {
"id": "c8sh5y9hdSMS6zVnrvf53T",
"type": "envelopes",
"attributes": {
"status": "pending",
"kind": "voice",
"phone-number": "+15197566220",
"email-address": "alexander.bell@bell-labs.com",
"direction": "outbound",
"retry-attempts": null,
"callback": null,
"meta": {
"first-name": "Alexander",
"last-name": "Bell"
},
"delay-in-seconds": 0,
"scheduled-at": null,
"processed-at": null,
"completed-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
},
"activity": {
"data": {
"type": "activities",
"id": "NqYmqDA26JmTJz6SnCWt3v"
}
},
"contact": {
"data": null
},
"identity": {
"data": null
},
"call": {
"data": null
},
"email": {
"data": null
},
"text": {
"data": null
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Headers
Content-Type: application/vnd.api+json; ext=bulkBody
{
"data": [
{
"type": "envelopes",
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "r58hTKT7AYS9dojRaF56o2"
}
}
}
},
{
"type": "envelopes",
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "NhcgbRnHhByzFEJBaVojx3"
}
}
}
}
]
}201Body
{
"data": [
{
"id": "c8sh5y9hdSMS6zVnrvf53T",
"type": "envelopes",
"attributes": {
"status": "pending",
"kind": "voice",
"phone-number": null,
"email-address": null,
"direction": "outbound",
"retry-attempts": null,
"meta": {},
"scheduled-at": null,
"processed-at": null,
"completed-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
},
"activity": {
"data": {
"type": "activities",
"id": "NqYmqDA26JmTJz6SnCWt3v"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "r58hTKT7AYS9dojRaF56o2"
}
},
"identity": {
"data": {
"type": "users",
"id": "9gmvjZgfkTPwiMfps3e4Tg"
}
},
"call": {
"data": null
},
"email": {
"data": null
},
"text": {
"data": null
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
},
{
"id": "c8sh5y9hdSMS6zVnrvf53T",
"type": "envelopes",
"attributes": {
"status": "pending",
"kind": "voice",
"phone-number": null,
"email-address": null,
"direction": "outbound",
"retry-attempts": null,
"meta": {},
"delay-in-seconds": 0,
"scheduled-at": null,
"processed-at": null,
"completed-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
},
"activity": {
"data": {
"type": "activities",
"id": "4XKsvi55Q3SngvjEdjmvYu"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "NhcgbRnHhByzFEJBaVojx3"
}
},
"identity": {
"data": {
"type": "users",
"id": "9gmvjZgfkTPwiMfps3e4Tg"
}
},
"call": {
"data": null
},
"email": {
"data": null
},
"text": {
"data": null
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
]
}Envelope ¶
This resource manages retrieving a specified envelope instance.
Retrieve EnvelopeGET/envelopes/
Retrieve an existing envelope instance.
Example URI
200Body
{
"data": {
"id": "c8sh5y9hdSMS6zVnrvf53T",
"type": "envelopes",
"attributes": {
"status": "complete",
"kind": "voice",
"direction": "outbound",
"phone-number": "+15197566220",
"email-address": null,
"retry-attempts": null,
"callback": null,
"meta": {},
"delay-in-seconds": 0,
"scheduled-at": null,
"processed-at": null,
"completed-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"engagement": {
"data": {
"type": "engagements",
"id": "yrbCdxqV2ZMdQBCszhA7TZ"
}
},
"activity": {
"data": {
"type": "activities",
"id": "NqYmqDA26JmTJz6SnCWt3v"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "z8eDV4PCWqGAn7H3BF6jkV"
}
},
"identity": {
"data": {
"type": "users",
"id": "9gmvjZgfkTPwiMfps3e4Tg"
}
},
"call": {
"data": {
"type": "calls",
"id": "fAuHnD4CMpJvmhkzrjw8mr"
}
},
"email": {
"data": null
},
"text": {
"data": null
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Call Resources ¶
Call Collection ¶
This resource provides querying of the calls collection along with the creation of call instances.
Note: Only instances relating to a caller-id or phone-number the membership has collaborator access to will be returned. Instances that do not carry a caller-id and phone-number will be returned to the creator.
Retrieve CallGET/calls{?include,filter,sort,page}
Retrieve a collection of calls.
Example URI
- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/calls",
"next": "/calls?page[offset]=10",
"last": "/calls?page[offset]=100"
},
"meta": {
"total": 10
},
"data": [
{
"id": "BojTqHDXSK7KcLCn5cZcc8",
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 67,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "KXq9WyvGHx8ueyWLooLkMP"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": {
"type": "envelopes",
"id": "uLjLNq6tkPEhTuCUQsuipq"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
]
}Create CallPOST/calls
Create a new calls instance.
Example URI
Parent CallBody
{
"data": {
"type": "calls",
"attributes": {
"to": "+15197566220",
"action": "dial"
}
}
}201Body
{
"data": {
"id": "BojTqHDXSK7KcLCn5cZcc8",
"type": "calls",
"attributes": {
"from": null,
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 1,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": null
},
"caller-id": {
"data": null
},
"phone-number": {
"data": null
},
"envelope": {
"data": null
},
"contact": {
"data": null
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Child CallBody
{
"data": {
"type": "calls",
"attributes": {
"to": "+15197566220",
"action": "dial"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "KXq9WyvGHx8ueyWLooLkMP"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
}
}
}
}201Body
{
"data": {
"id": "BojTqHDXSK7KcLCn5cZcc8",
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 1,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "KXq9WyvGHx8ueyWLooLkMP"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": {
"type": "envelopes",
"id": "uLjLNq6tkPEhTuCUQsuipq"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Combined Parent and Child CallBody
{
"data": {
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"action": "dial"
},
"relationships": {
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
}
}
}
}201Body
{
"data": {
"id": "BojTqHDXSK7KcLCn5cZcc8",
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 1,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "KXq9WyvGHx8ueyWLooLkMP"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": null
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Envelope Child CallBody
{
"data": {
"type": "calls",
"attributes": {
"to": "+15197566220",
"action": "dial"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "KXq9WyvGHx8ueyWLooLkMP"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"envelope": {
"data": {
"type": "envelopes",
"id": "FYSocwV2UCmoSLRGSLoXJJ"
}
}
}
}
}201Body
{
"data": {
"id": "BojTqHDXSK7KcLCn5cZcc8",
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 1,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "KXq9WyvGHx8ueyWLooLkMP"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": {
"type": "envelopes",
"id": "FYSocwV2UCmoSLRGSLoXJJ"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Envelope Combined Parent and Child CallBody
{
"data": {
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"action": "dial"
},
"relationships": {
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"envelope": {
"data": {
"type": "envelopes",
"id": "FYSocwV2UCmoSLRGSLoXJJ"
}
}
}
}
}201Body
{
"data": {
"id": "BojTqHDXSK7KcLCn5cZcc8",
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 1,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "KXq9WyvGHx8ueyWLooLkMP"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": {
"type": "envelopes",
"id": "FYSocwV2UCmoSLRGSLoXJJ"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Call ¶
This resource manages retrieving a specified call instance.
Retrieve CallGET/calls/
Retrieve an existing calls instance.
Example URI
200Body
{
"data": {
"id": "BojTqHDXSK7KcLCn5cZcc8",
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 1,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "KXq9WyvGHx8ueyWLooLkMP"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "DECRngt4uXqsvCgbyM7d7p"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": {
"type": "envelopes",
"id": "uLjLNq6tkPEhTuCUQsuipq"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Update CallPATCH/calls/
Update an existing call instance.
Example URI
HangupBody
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"action": "hangup"
}
}
}202Body
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"status": "complete",
"direction": "outbound",
"duration": 67,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": "2020-01-01T00:01:07+00:00",
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "7wTGBhat3aHaDU3cQNAGnJ"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "Lv8UgucPVGWcwZd9Hre9dn"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": {
"type": "envelopes",
"id": "uLjLNq6tkPEhTuCUQsuipq"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}TransferBody
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"action": "transfer"
},
"relationships": {
"memberships": {
"data": [
{
"type": "memberships",
"id": "r58hTKT7AYS9dojRaF56o2"
},
{
"type": "memberships",
"id": "ZskVKR7C7WgdvytxeTSP3d"
}
]
}
}
}
}202Body
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"action": "transfer",
"from": "+18775550100",
"to": "+15197566220",
"status": "ringing",
"direction": "outbound",
"duration": 67,
"kind": "native",
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": null
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "Lv8UgucPVGWcwZd9Hre9dn"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": null
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"memberships": {
"data": []
},
"voice-template": {
"data": null
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Record MessageBody
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"action": "record"
}
}
}202Body
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"from": null,
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 67,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": null
},
"caller-id": {
"data": null
},
"phone-number": {
"data": null
},
"envelope": {
"data": null
},
"contact": {
"data": null
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Play MessageBody
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"action": "play"
},
"relationships": {
"voice-template": {
"data": {
"type": "voice-templates",
"id": "RyrUsV4MXEicu8Eo9DZpLM"
}
}
}
}
}202Body
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"from": null,
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 67,
"kind": "native",
"callback": null,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": null
},
"caller-id": {
"data": null
},
"phone-number": {
"data": null
},
"envelope": {
"data": null
},
"contact": {
"data": null
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Voicemail DropBody
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"action": "voicemail-drop"
},
"relationships": {
"voice-template": {
"data": {
"type": "voice-templates",
"id": "RyrUsV4MXEicu8Eo9DZpLM"
}
}
}
}
}202Body
{
"data": {
"id": "KXq9WyvGHx8ueyWLooLkMP",
"type": "calls",
"attributes": {
"from": "+18775550100",
"to": "+15197566220",
"status": "in-progress",
"direction": "outbound",
"duration": 67,
"kind": "native",
"callback": null,
"has-recording": false,
"meta": {},
"started-at": "2020-01-01T00:00:00+00:00",
"finished-at": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"parent-call": {
"data": {
"type": "calls",
"id": "7wTGBhat3aHaDU3cQNAGnJ"
}
},
"caller-id": {
"data": {
"type": "caller-ids",
"id": "Lv8UgucPVGWcwZd9Hre9dn"
}
},
"phone-number": {
"data": null
},
"envelope": {
"data": {
"type": "envelopes",
"id": "uLjLNq6tkPEhTuCUQsuipq"
}
},
"contact": {
"data": {
"type": "contacts",
"id": "KVLK7zmqDZxCtVYAb4mAqR"
}
},
"voice-template": {
"data": null
},
"memberships": {
"data": []
},
"conference": {
"data": null
},
"result": {
"data": {
"type": "call-results",
"id": "SYv626tNVtprEQmMJDdr6B"
}
},
"results": {
"links": {
"related": "/call-results?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"recordings": {
"links": {
"related": "/recordings?filter[call.id]=BojTqHDXSK7KcLCn5cZcc8"
}
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
}Call Result Collection ¶
This resource manages the retrieval of call result collections.
Note: Must filter by either call or envelope. Results are limited based on the membership’s collaborator access to the call relationship (determined by caller-ids or phone-numbers) or envelope relationship (determined by engagements).
Retrieve Call ResultsGET/call-results{?filter,include,sort,page}
Retrieve a collection of call results.
Example URI
- filter
string(optional) Example: 1Filter on one or more fields using comma separated values
filter[field]=1,2.- include
string(optional)Include one ore more related relationships using comma separated name.
- sort
string(optional) Example: created-atSort on one or more fields using comma separated values.
- page
string(optional) Example: 10Use
page[limit]=10to reduce the number of instances returned. Use?page[offset]=10to skip this many instances.
200Body
{
"links": {
"self": "/call-results?filter[call.id]=DJibkCtTD5vc3ALpqNhDXf&",
"next": "/call-results?filter[call.id]=DJibkCtTD5vc3ALpqNhDXf&page[offset]=10",
"last": "/call-results?filter[call.id]=DJibkCtTD5vc3ALpqNhDXf&page[offset]=100"
},
"meta": {
"total": 110
},
"data": [
{
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "call-results",
"attributes": {
"kind": "prompt",
"digits": "1",
"speech": null,
"phone-number": null,
"hold-time": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"call": {
"data": {
"type": "calls",
"id": "vytxeTZskVKR7C7WgdSP3d"
}
},
"envelope": {
"data": {
"type": "envelopes",
"id": "LUBMPzRVcyD2iWa5VoYjGP"
}
},
"trigger": {
"data": {
"type": "triggers",
"id": "r58hTKT7AYS9dojRaF56o2"
}
},
"voice-message": {
"data": null
},
"recording": {
"data": null
},
"conference": {
"data": null
},
"transition": {
"data": null
}
}
}
]
}Call Result ¶
This resource manages retrieving a specified call result instance.
Retrieve Call ResultGET/call-results/
Retrieve an existing call result instance.
Example URI
200Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "call-results",
"attributes": {
"kind": "prompt",
"digits": "1",
"speech": null,
"phone-number": null,
"hold-time": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"call": {
"data": {
"type": "calls",
"id": "vytxeTZskVKR7C7WgdSP3d"
}
},
"envelope": {
"data": {
"type": "envelopes",
"id": "LUBMPzRVcyD2iWa5VoYjGP"
}
},
"trigger": {
"data": {
"type": "triggers",
"id": "r58hTKT7AYS9dojRaF56o2"
}
},
"voice-message": {
"data": null
},
"recording": {
"data": null
},
"conference": {
"data": null
},
"transition": {
"data": null
}
}
}
}Recording Collection ¶
This resource manages the retrieval of recording collections.
Create RecordingPOST/recordings
Create a new recordings instance.
Note: Either an active call or conference is required to begin a recording.
Example URI
Call RecordingBody
{
"data": {
"type": "recordings",
"relationships": {
"call": {
"data": {
"type": "calls",
"id": "DQdtkEVYLRomQrjU2KWexB"
}
}
}
}
}201Body
{
"data": {
"id": "RaF56o2r58hTKT7AYS9doj",
"type": "recordings",
"attributes": {
"status": "completed",
"duration": 147,
"transcript": null,
"created-at": "2020-01-01T00:00:00+00:00",
"updated-at": "2020-01-01T00:00:00+00:00"
},
"relationships": {
"file": {
"data": {
"type": "files",
"id": "MxjW4f4Jjqngu5383UoHoj"
}
},
"call": {
"data": {
"type": "calls",
"id": "DQdtkEVYLRomQrjU2KWexB"
}
},
"conference": {
"data": null
},
"created-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
},
"updated-by": {
"data": {
"type": "memberships",
"id": "C7xWERND6yBTpJJVHACzVf"
}
}
}
}
[...]
